Bug 30509 - Accordion on letter.tt is broken
Summary: Accordion on letter.tt is broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 30011
Blocks:
  Show dependency treegraph
 
Reported: 2022-04-11 15:35 UTC by Lucas Gass
Modified: 2022-05-03 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.06


Attachments
Bug 30509: Fix configuration of Notices accordion widget (1.13 KB, patch)
2022-04-11 17:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30509: Fix configuration of Notices accordion widget (1.19 KB, patch)
2022-04-11 17:32 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30509: Fix configuration of Notices accordion widget (1.25 KB, patch)
2022-04-19 08:28 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2022-04-11 15:35:25 UTC
At '/cgi-bin/koha/tools/letter.pl' the accordion for changing between Email, Print, SMS notice templates is broken. All of the templates are showing at the same time.

It looks to be related to a JS error coming from letter.js:

Uncaught TypeError: t.find(...).even is not a function
Comment 1 Owen Leonard 2022-04-11 17:08:05 UTC
Created attachment 133196 [details] [review]
Bug 30509: Fix configuration of Notices accordion widget

The jQueryUI upgrade broke the Accordion on the notices edit page. I'm
not sure why, but defining a "header" option in the accordion
configuration fixes it.

To test, apply the patch and test the notices edit page both with and
without TranslateNotices and multiple languages installed. In both cases
the different sections (Email, Print, SMS) should open and close
correctly.
Comment 2 Lucas Gass 2022-04-11 17:32:01 UTC
Created attachment 133197 [details] [review]
Bug 30509: Fix configuration of Notices accordion widget

The jQueryUI upgrade broke the Accordion on the notices edit page. I'm
not sure why, but defining a "header" option in the accordion
configuration fixes it.

To test, apply the patch and test the notices edit page both with and
without TranslateNotices and multiple languages installed. In both cases
the different sections (Email, Print, SMS) should open and close
correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Martin Renvoize 2022-04-19 08:28:36 UTC
Created attachment 133392 [details] [review]
Bug 30509: Fix configuration of Notices accordion widget

The jQueryUI upgrade broke the Accordion on the notices edit page. I'm
not sure why, but defining a "header" option in the accordion
configuration fixes it.

To test, apply the patch and test the notices edit page both with and
without TranslateNotices and multiple languages installed. In both cases
the different sections (Email, Print, SMS) should open and close
correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-04-19 08:29:58 UTC
Hmm, fix works as described and I'm not seeing any other regressions.. No idea why it works though, I can't find anything in the jQueryUI docs to suggest this is required.. 

But.. it works.. so Passing QA
Comment 5 Fridolin Somers 2022-04-20 07:24:18 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Kyle M Hall 2022-04-29 16:57:41 UTC
Pushed to 21.11.x for 21.11.06
Comment 7 Andrew Fuerste-Henry 2022-05-03 19:59:22 UTC
Missing dependency, not backported to 21.05